<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SaveMagazaStokRequest StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SaveMagazaStokRequest
 * @subpackage Structs
 */
class SaveMagazaStokRequest extends AbstractStructBase
{
    /**
     * The FiyatBilgileriniGuncelle
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $FiyatBilgileriniGuncelle;
    /**
     * The MagazaStokList
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfWebMagazaStok
     */
    public $MagazaStokList;
    /**
     * Constructor method for SaveMagazaStokRequest
     * @uses SaveMagazaStokRequest::setFiyatBilgileriniGuncelle()
     * @uses SaveMagazaStokRequest::setMagazaStokList()
     * @param bool $fiyatBilgileriniGuncelle
     * @param \ArrayType\ArrayOfWebMagazaStok $magazaStokList
     */
    public function __construct($fiyatBilgileriniGuncelle = null, \ArrayType\ArrayOfWebMagazaStok $magazaStokList = null)
    {
        $this
            ->setFiyatBilgileriniGuncelle($fiyatBilgileriniGuncelle)
            ->setMagazaStokList($magazaStokList);
    }
    /**
     * Get FiyatBilgileriniGuncelle value
     * @return bool|null
     */
    public function getFiyatBilgileriniGuncelle()
    {
        return $this->FiyatBilgileriniGuncelle;
    }
    /**
     * Set FiyatBilgileriniGuncelle value
     * @param bool $fiyatBilgileriniGuncelle
     * @return \StructType\SaveMagazaStokRequest
     */
    public function setFiyatBilgileriniGuncelle($fiyatBilgileriniGuncelle = null)
    {
        // validation for constraint: boolean
        if (!is_null($fiyatBilgileriniGuncelle) && !is_bool($fiyatBilgileriniGuncelle)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($fiyatBilgileriniGuncelle, true), gettype($fiyatBilgileriniGuncelle)), __LINE__);
        }
        $this->FiyatBilgileriniGuncelle = $fiyatBilgileriniGuncelle;
        return $this;
    }
    /**
     * Get MagazaStokList value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfWebMagazaStok|null
     */
    public function getMagazaStokList()
    {
        return isset($this->MagazaStokList) ? $this->MagazaStokList : null;
    }
    /**
     * Set MagazaStokList value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfWebMagazaStok $magazaStokList
     * @return \StructType\SaveMagazaStokRequest
     */
    public function setMagazaStokList(\ArrayType\ArrayOfWebMagazaStok $magazaStokList = null)
    {
        if (is_null($magazaStokList) || (is_array($magazaStokList) && empty($magazaStokList))) {
            unset($this->MagazaStokList);
        } else {
            $this->MagazaStokList = $magazaStokList;
        }
        return $this;
    }
}
